Package oracle.nosql.driver.values

# Class JsonNullValue

java.lang.Object
oracle.nosql.driver.values.FieldValue
oracle.nosql.driver.values.JsonNullValue

All Implemented Interfaces:
  `Comparable<FieldValue>`

public class JsonNullValue extends FieldValue
A `FieldValue` instance representing an explicit JSON null value in a JSON object or array. On input this type can only be used in a table field of type JSON. This is an immutable singleton object.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class oracle.nosql.driver.values.FieldValue

  `FieldValue.Type`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(FieldValue other)`
  `boolean`
  `equals(Object other)`
  `static JsonNullValue`
  `getInstance()`
  Returns an instance (singleton) of JsonNullValue.
  `String`
  `getString()`
  Returns a String value for the field.
  `FieldValue.Type`
  `getType()`
  Returns the type of the object
  `int`
  `hashCode()`
  `String`
  `toJson(JsonOptions options)`
  Returns a JSON representation of the value using the options, if specified.

  ### Methods inherited from class oracle.nosql.driver.values.FieldValue

  `asArray, asBinary, asBoolean, asDouble, asInteger, asJsonNull, asLong, asMap, asNull, asNumber, asString, asTimestamp, castAsDouble, createFromJson, createFromJson, createFromJson, getBinary, getBoolean, getDouble, getInt, getLong, getNumber, getSerializedSize, getTimestamp, isAnyNull, isArray, isAtomic, isBinary, isBoolean, isDouble, isInteger, isJsonNull, isLong, isMap, isNull, isNumber, isNumeric, isString, isTimestamp, toJson, toString`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getType

    public FieldValue.Type getType()
    Description copied from class: `FieldValue`
    Returns the type of the object
    Specified by:
      `getType` in class `FieldValue`
    Returns:
      the type

  - ### getInstance

    public static JsonNullValue getInstance()
    Returns an instance (singleton) of JsonNullValue.
    Returns:
      the value

  - ### compareTo

    public int compareTo(FieldValue other)

  - ### getString

    public String getString()
    Description copied from class: `FieldValue`
    Returns a String value for the field. The String value cannot be created for MapValue, ArrayValue and BinaryValue. String values that are coerced use Java rules for representation.
    Overrides:
      `getString` in class `FieldValue`
    Returns:
      a String value

  - ### toJson

    public String toJson(JsonOptions options)
    Description copied from class: `FieldValue`
    Returns a JSON representation of the value using the options, if specified.
    Overrides:
      `toJson` in class `FieldValue`
    Parameters:
      `options` - configurable options used to affect the JSON output format of some data types. May be null.
    Returns:
      the JSON representation of this value.

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`